rpms/abrt/devel .cvsignore, 1.9, 1.10 abrt.init, 1.1, 1.2 abrt.spec, 1.13, 1.14 sources, 1.10, 1.11

Jiří Moskovčák jmoskovc at fedoraproject.org
Fri Sep 4 17:55:36 UTC 2009


Author: jmoskovc

Update of /cvs/extras/rpms/abrt/devel
In directory cvs1.fedora.phx.redhat.com:/tmp/cvs-serv20586

Modified Files:
	.cvsignore abrt.init abrt.spec sources 
Log Message:
new version



Index: .cvsignore
===================================================================
RCS file: /cvs/extras/rpms/abrt/devel/.cvsignore,v
retrieving revision 1.9
retrieving revision 1.10
diff -u -p -r1.9 -r1.10
--- .cvsignore	31 Aug 2009 12:55:40 -0000	1.9
+++ .cvsignore	4 Sep 2009 17:55:36 -0000	1.10
@@ -1 +1 @@
-abrt-0.0.8.tar.gz
+abrt-0.0.8.5.tar.gz


Index: abrt.init
===================================================================
RCS file: /cvs/extras/rpms/abrt/devel/abrt.init,v
retrieving revision 1.1
retrieving revision 1.2
diff -u -p -r1.1 -r1.2
--- abrt.init	3 Mar 2009 21:09:07 -0000	1.1
+++ abrt.init	4 Sep 2009 17:55:36 -0000	1.2
@@ -1,15 +1,16 @@
 #!/bin/bash
 # Starts the abrt daemon
 #
-# chkconfig: - 82 16
+# chkconfig: 35 82 16
 # description: Daemon to detect crashing apps
-# processname: abrt
+# processname: abrtd
 ### BEGIN INIT INFO
 # Provides: abrt
 # Required-Start: $syslog $local_fs
 # Required-Stop: $syslog $local_fs
-# Default-Stop: 0 1 2 3 4 5 6
-# Short-Description: start and stop crash-carcher daemon
+# Default-Stop: 0 1 2 6
+# Default-Start: 3 5
+# Short-Description: start and stop abrt daemon
 # Description: Listen and dispatch crash events
 ### END INIT INFO
 
@@ -25,22 +26,22 @@ RETVAL=0
 check() {
 	# Check that we're a privileged user
 	[ `id -u` = 0 ] || exit 4
-	
+
 	# Check if abrt is executable
-	test -x /usr/sbin/abrt || exit 5
+	test -x /usr/sbin/abrtd || exit 5
 }
 
 start() {
 
 	check
-	
+
 	# Check if it is already running
 	if [ ! -f /var/lock/subsys/abrt ]; then
-		echo -n $"Starting abrt daemon: "	
-	    daemon /usr/sbin/abrt
-	    RETVAL=$?
-	    [ $RETVAL -eq 0 ] && touch /var/lock/subsys/abrt
-	    echo
+		echo -n $"Starting abrt daemon: "
+		daemon /usr/sbin/abrtd
+		RETVAL=$?
+		[ $RETVAL -eq 0 ] && touch /var/lock/subsys/abrt
+		echo
 	fi
 	return $RETVAL
 }
@@ -48,24 +49,24 @@ start() {
 stop() {
 
 	check
-	
+
 	echo -n $"Stopping abrt daemon: "
-	killproc /usr/sbin/abrt
+	killproc /usr/sbin/abrtd
 	RETVAL=$?
 	[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/abrt
 	echo
-    return $RETVAL
+	return $RETVAL
 }
 
 
 restart() {
 	stop
 	start
-}	
+}
 
 reload() {
 	restart
-}	
+}
 
 case "$1" in
 start)


Index: abrt.spec
===================================================================
RCS file: /cvs/extras/rpms/abrt/devel/abrt.spec,v
retrieving revision 1.13
retrieving revision 1.14
diff -u -p -r1.13 -r1.14
--- abrt.spec	31 Aug 2009 12:55:40 -0000	1.13
+++ abrt.spec	4 Sep 2009 17:55:36 -0000	1.14
@@ -3,13 +3,14 @@
 %{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
 Summary: Automatic bug detection and reporting tool
 Name: abrt
-Version: 0.0.8
+Version: 0.0.8.5
 Release: 1%{?dist}
 License: GPLv2+
 Group: Applications/System
 URL: https://fedorahosted.org/abrt/
 Source: http://jmoskovc.fedorapeople.org/%{name}-%{version}.tar.gz
 Source1: abrt.init
+BuildRequires: dbus-devel
 BuildRequires: dbus-c++-devel
 BuildRequires: gtk2-devel
 BuildRequires: curl-devel
@@ -56,6 +57,7 @@ Requires: dbus-python, pygtk2, pygtk2-li
 Provides: abrt-applet = %{version}-%{release}
 Obsoletes: abrt-applet < 0.0.5
 Conflicts: abrt-applet < 0.0.5
+Obsoletes: bug-buddy
 
 %description gui
 GTK+ wizard for convenient bug reporting.
@@ -75,7 +77,7 @@ Summary: %{name}'s kerneloops addon
 Group: System Environment/Libraries
 Requires: %{name}-plugin-kerneloopsreporter = %{version}-%{release}
 Requires: %{name} = %{version}-%{release}
-Conflicts: kerneloops
+Obsoletes: kerneloops
 Obsoletes: abrt-plugin-kerneloops
 
 %description addon-kerneloops
@@ -199,7 +201,7 @@ make install DESTDIR=$RPM_BUILD_ROOT man
 # remove all .la and .a files
 find $RPM_BUILD_ROOT -name '*.la' -or -name '*.a' | xargs rm -f
 mkdir -p ${RPM_BUILD_ROOT}/%{_initrddir}
-install -m 755 %SOURCE1 ${RPM_BUILD_ROOT}/%{_initrddir}/%{name}
+install -m 755 %SOURCE1 ${RPM_BUILD_ROOT}/%{_initrddir}/abrtd
 mkdir -p $RPM_BUILD_ROOT/var/cache/%{name}
 
 desktop-file-install \
@@ -214,14 +216,14 @@ desktop-file-install \
 rm -rf $RPM_BUILD_ROOT
 
 %post
-/sbin/chkconfig --add %{name}
+/sbin/chkconfig --add %{name}d
 
 %post libs -p /sbin/ldconfig
 
 %preun
-if [ "$1" = 0 ] ; then
-  service %{name} stop >/dev/null 2>&1
-  /sbin/chkconfig --del %{name}
+if [ "$1" -eq "0" ] ; then
+  service %{name}d stop >/dev/null 2>&1
+  /sbin/chkconfig --del %{name}d
 fi
 
 %postun libs -p /sbin/ldconfig
@@ -229,10 +231,10 @@ fi
 %files -f %{name}.lang
 %defattr(-,root,root,-)
 %doc README COPYING
-%{_sbindir}/%{name}
+%{_sbindir}/%{name}d
 %config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
 %config(noreplace) %{_sysconfdir}/dbus-1/system.d/dbus-%{name}.conf
-%{_initrddir}/%{name}
+%{_initrddir}/%{name}d
 %dir /var/cache/%{name}
 %dir %{_sysconfdir}/%{name}
 %dir %{_sysconfdir}/%{name}/plugins
@@ -335,6 +337,22 @@ fi
 %defattr(-,root,root,-)
 
 %changelog
+* Fri Sep  4 2009  Jiri Moskovcak <jmoskovc at redhat.com> 0.0.8.5-1
+- new version
+- APPLET: added about dialog, removed popup, if icon is not visible, fixed (trac#43) (jmoskovc at redhat.com)
+- renamed abrt to abrtd, few minor spec file fixes (jmoskovc at redhat.com)
+- Made abrt service start by deafult (jmoskovc at redhat.com)
+- add gettext support for all plugins (npajkovs at redhat.com)
+- APPLET: removed the warning bubble about not running abrt service (walters)
+- APPLET: changed tooltip rhbz#520293 (jmoskovc at redhat.com)
+- CommLayerServerDBus: rewrote to use dbus, not dbus-c++ (vda.linux at googlemail.com)
+- fixed timeout on boot causing [ FAILED ] message (vda.linux at googlemail.com)
+- and many other fixes
+
+* Wed Sep 02 2009  Colin Walters <watlers at verbum.org> 0.0.8-2
+- Change Conflicts: kerneloops to be an Obsoletes so we do the right thing
+  on upgrades.  Also add an Obsoletes: bug-buddy.
+
 * Wed Aug 26 2009  Jiri Moskovcak <jmoskovc at redhat.com> 0.0.8-1
 - new version
 - resolved: Bug 518420 -  ordinary user's abrt-applet shows up for root owned crashes (npajkovs)


Index: sources
===================================================================
RCS file: /cvs/extras/rpms/abrt/devel/sources,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -p -r1.10 -r1.11
--- sources	31 Aug 2009 12:55:40 -0000	1.10
+++ sources	4 Sep 2009 17:55:36 -0000	1.11
@@ -1 +1 @@
-0945b2fd88a2d8acd31a171e4a65ed16  abrt-0.0.8.tar.gz
+a66bdfb2d95a2a7c71ac6aa56be98d5e  abrt-0.0.8.5.tar.gz




More information about the fedora-extras-commits mailing list